* [gentoo-commits] repo/gentoo:master commit in: x11-wm/wmfs/
@ 2017-10-16 3:34 David Seifert
0 siblings, 0 replies; 9+ messages in thread
From: David Seifert @ 2017-10-16 3:34 UTC (permalink / raw
To: gentoo-commits
commit: 651d6109b8de619b5e8a30f8e4a8e1b79a4092d2
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 16 03:34:24 2017 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Oct 16 03:34:24 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=651d6109
x11-wm/wmfs: [QA] Add cmake-utils_src_prepare
Package-Manager: Portage-2.3.11, Repoman-2.3.3
x11-wm/wmfs/wmfs-201003.ebuild | 11 +++++------
1 file changed, 5 insertions(+), 6 deletions(-)
diff --git a/x11-wm/wmfs/wmfs-201003.ebuild b/x11-wm/wmfs/wmfs-201003.ebuild
index a61c8a35568..1c7709cb6fc 100644
--- a/x11-wm/wmfs/wmfs-201003.ebuild
+++ b/x11-wm/wmfs/wmfs-201003.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -28,11 +28,10 @@ DEPEND="
x11-proto/xproto
"
-src_prepare() {
- epatch \
- "${FILESDIR}"/${PN}-201003-desktop.patch \
- "${FILESDIR}"/${PN}-201003-pthread.patch
-}
+PATCHES=(
+ "${FILESDIR}"/${PN}-201003-desktop.patch
+ "${FILESDIR}"/${PN}-201003-pthread.patch
+)
src_install() {
cmake-utils_src_install
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-wm/wmfs/
@ 2020-01-13 10:07 David Seifert
0 siblings, 0 replies; 9+ messages in thread
From: David Seifert @ 2020-01-13 10:07 UTC (permalink / raw
To: gentoo-commits
commit: a854bd644a06103d05130d025bd758d6612d011e
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 13 10:07:30 2020 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Jan 13 10:07:30 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a854bd64
x11-wm/wmfs: [QA] Fix HomepageInSrcUri
Signed-off-by: David Seifert <soap <AT> gentoo.org>
x11-wm/wmfs/wmfs-201003.ebuild | 2 +-
x11-wm/wmfs/wmfs-99999999.ebuild | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/x11-wm/wmfs/wmfs-201003.ebuild b/x11-wm/wmfs/wmfs-201003.ebuild
index ffa5e17c56f..1fe2b2cdf6d 100644
--- a/x11-wm/wmfs/wmfs-201003.ebuild
+++ b/x11-wm/wmfs/wmfs-201003.ebuild
@@ -6,7 +6,7 @@ inherit cmake-utils eutils
DESCRIPTION="Window Manager From Scratch, A tiling window manager highly configurable"
HOMEPAGE="https://github.com/xorg62/wmfs"
-SRC_URI="${HOMEPAGE}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://github.com/xorg62/wmfs/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
diff --git a/x11-wm/wmfs/wmfs-99999999.ebuild b/x11-wm/wmfs/wmfs-99999999.ebuild
index cbcb210e099..f152990663f 100644
--- a/x11-wm/wmfs/wmfs-99999999.ebuild
+++ b/x11-wm/wmfs/wmfs-99999999.ebuild
@@ -6,7 +6,7 @@ inherit eutils git-r3
DESCRIPTION="Window Manager From Scratch, A tiling window manager highly configurable"
HOMEPAGE="https://github.com/xorg62/wmfs"
-EGIT_REPO_URI="${HOMEPAGE}"
+EGIT_REPO_URI="https://github.com/xorg62/wmfs"
LICENSE="BSD"
SLOT="0"
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-wm/wmfs/
@ 2020-05-17 13:41 Jeroen Roovers
0 siblings, 0 replies; 9+ messages in thread
From: Jeroen Roovers @ 2020-05-17 13:41 UTC (permalink / raw
To: gentoo-commits
commit: 49b49044d1390ca4f3bdf1558917aa775a12581b
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sun May 17 13:38:49 2020 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sun May 17 13:41:49 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49b49044
x11-wm/wmfs: Respect CFLAGS/LDFLAGS, fix man page
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Bug: https://bugs.gentoo.org/706654
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>
x11-wm/wmfs/wmfs-201003.ebuild | 15 ++++++++++++---
1 file changed, 12 insertions(+), 3 deletions(-)
diff --git a/x11-wm/wmfs/wmfs-201003.ebuild b/x11-wm/wmfs/wmfs-201003.ebuild
index 14da5d0b915..27bdfa3ef56 100644
--- a/x11-wm/wmfs/wmfs-201003.ebuild
+++ b/x11-wm/wmfs/wmfs-201003.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
-inherit cmake-utils eutils
+EAPI=7
+inherit cmake
DESCRIPTION="Window Manager From Scratch, A tiling window manager highly configurable"
HOMEPAGE="https://github.com/xorg62/wmfs"
@@ -31,8 +31,17 @@ PATCHES=(
"${FILESDIR}"/${PN}-201003-pthread.patch
)
+src_prepare() {
+ cmake_src_prepare
+ sed -i \
+ -e '/set(CFLAGS/d' \
+ -e '/set(LDFLAGS/s#)# ${LDFLAGS}&#' \
+ CMakeLists.txt || die
+}
+
src_install() {
- cmake-utils_src_install
+ cmake_src_install
rm -r "${D}"/usr/share/${PN}
+ find "${D}"/usr/share/man -name '*.gz' -exec gunzip {} \; || die
dodoc README TODO rc/status.sh
}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-wm/wmfs/
@ 2020-09-26 10:31 Jeroen Roovers
0 siblings, 0 replies; 9+ messages in thread
From: Jeroen Roovers @ 2020-09-26 10:31 UTC (permalink / raw
To: gentoo-commits
commit: 7c78867fc1aaae480ff575bf54a00dfb4d28a3ba
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 26 10:30:51 2020 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sat Sep 26 10:31:04 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c78867f
x11-wm/wmfs: Update live ebuild
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>
x11-wm/wmfs/wmfs-99999999.ebuild | 11 +++++------
1 file changed, 5 insertions(+), 6 deletions(-)
diff --git a/x11-wm/wmfs/wmfs-99999999.ebuild b/x11-wm/wmfs/wmfs-99999999.ebuild
index 416f8f678db..286281b6f1f 100644
--- a/x11-wm/wmfs/wmfs-99999999.ebuild
+++ b/x11-wm/wmfs/wmfs-99999999.ebuild
@@ -32,6 +32,11 @@ PATCHES=(
"${FILESDIR}"/${PN}-99999999-fno-common.patch
"${FILESDIR}"/${PN}-99999999-strncat.patch
)
+DOCS=(
+ README
+ scripts/keybind_help.sh
+ scripts/status.sh
+)
src_configure() {
tc-export CC
@@ -47,9 +52,3 @@ src_configure() {
|| die
done
}
-
-src_install() {
- default
- rm -r "${D}"/usr/share/${PN}
- dodoc README
-}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-wm/wmfs/
@ 2020-09-26 10:31 Jeroen Roovers
0 siblings, 0 replies; 9+ messages in thread
From: Jeroen Roovers @ 2020-09-26 10:31 UTC (permalink / raw
To: gentoo-commits
commit: 7ff257a29dbd0576d2ed4b5230499b21b85381ef
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 26 10:28:57 2020 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sat Sep 26 10:31:03 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ff257a2
x11-wm/wmfs: Version 20180520
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>
x11-wm/wmfs/Manifest | 1 +
x11-wm/wmfs/wmfs-20180520.ebuild | 54 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/x11-wm/wmfs/Manifest b/x11-wm/wmfs/Manifest
index 6697cf6fb52..b1ff0c4736f 100644
--- a/x11-wm/wmfs/Manifest
+++ b/x11-wm/wmfs/Manifest
@@ -1 +1,2 @@
DIST wmfs-201003.tar.gz 59593 BLAKE2B b2e1f2cf73ca3d8881fa8de7b52fb6cae947a6006549f05dd06179b8b44b10fd1157a8e180b2b3177177fe0edf4c39b9a3fbf36ebb2b6470f1ed802a641a4c89 SHA512 117a238d6a8d8d147291ec9fb4e0aaf2bf8bab8ea794cf00deeaeaac1df15f0122bc705cb1bff54abe80d7228a19e67a79e4b3e0de0ced82abaf98fab3778a90
+DIST wmfs-20180520.tar.xz 56364 BLAKE2B 23530193ba2c37ae4129fd23dda2ff8cd301b0bd92d32e06b264efd990b7957b38170de31f04afca6fd9875d2e0450c8bede416e5f49d6e19962718fe2e240a3 SHA512 bcff251397d8483db49c037c51eef7b3dcc87a6d94650ae9e9cabc7104177216e0efa7e67bfb34978bae67dc4853884673ce288bb8087e95cb2993d519ab4f2f
diff --git a/x11-wm/wmfs/wmfs-20180520.ebuild b/x11-wm/wmfs/wmfs-20180520.ebuild
new file mode 100644
index 00000000000..f01f6ce2129
--- /dev/null
+++ b/x11-wm/wmfs/wmfs-20180520.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit toolchain-funcs
+
+DESCRIPTION="Window Manager From Scratch, A tiling window manager highly configurable"
+HOMEPAGE="https://github.com/xorg62/wmfs"
+SRC_URI="https://dev.gentoo.org/~jer/${P}.tar.xz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+imlib2 +xinerama"
+
+RDEPEND="
+ media-libs/freetype
+ media-libs/imlib2[X]
+ x11-libs/libX11
+ x11-libs/libXft
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+"
+DEPEND="
+ ${RDEPEND}
+ virtual/pkgconfig
+ x11-base/xorg-proto
+"
+PATCHES=(
+ "${FILESDIR}"/${PN}-99999999-Debian.patch
+ "${FILESDIR}"/${PN}-99999999-desktop.patch
+ "${FILESDIR}"/${PN}-99999999-fno-common.patch
+ "${FILESDIR}"/${PN}-99999999-strncat.patch
+)
+DOCS=(
+ README
+ scripts/keybind_help.sh
+ scripts/status.sh
+)
+
+src_configure() {
+ tc-export CC
+ # not autotools based
+ local ECHO
+ for ECHO in echo ''; do
+ ${ECHO} sh configure \
+ $(usex xinerama '' --without-xinerama) \
+ $(usex imlib2 '' --without-imlib2) \
+ --prefix /usr \
+ --man-prefix /usr/share/man \
+ --xdg-config-dir /etc/xdg \
+ || die
+ done
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-wm/wmfs/
@ 2021-01-03 1:09 Andreas K. Hüttel
0 siblings, 0 replies; 9+ messages in thread
From: Andreas K. Hüttel @ 2021-01-03 1:09 UTC (permalink / raw
To: gentoo-commits
commit: 38b96f6904f8b471cfe671022bc209ec765ca17e
Author: Andreas K. Huettel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 3 00:59:08 2021 +0000
Commit: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sun Jan 3 00:59:08 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38b96f69
x11-wm/wmfs: Remove old
Bug: https://bugs.gentoo.org/706654
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Andreas K. Huettel <dilfridge <AT> gentoo.org>
x11-wm/wmfs/Manifest | 1 -
x11-wm/wmfs/wmfs-201003.ebuild | 47 ------------------------------------------
2 files changed, 48 deletions(-)
diff --git a/x11-wm/wmfs/Manifest b/x11-wm/wmfs/Manifest
index b1ff0c4736f..d6f6bb805fd 100644
--- a/x11-wm/wmfs/Manifest
+++ b/x11-wm/wmfs/Manifest
@@ -1,2 +1 @@
-DIST wmfs-201003.tar.gz 59593 BLAKE2B b2e1f2cf73ca3d8881fa8de7b52fb6cae947a6006549f05dd06179b8b44b10fd1157a8e180b2b3177177fe0edf4c39b9a3fbf36ebb2b6470f1ed802a641a4c89 SHA512 117a238d6a8d8d147291ec9fb4e0aaf2bf8bab8ea794cf00deeaeaac1df15f0122bc705cb1bff54abe80d7228a19e67a79e4b3e0de0ced82abaf98fab3778a90
DIST wmfs-20180520.tar.xz 56364 BLAKE2B 23530193ba2c37ae4129fd23dda2ff8cd301b0bd92d32e06b264efd990b7957b38170de31f04afca6fd9875d2e0450c8bede416e5f49d6e19962718fe2e240a3 SHA512 bcff251397d8483db49c037c51eef7b3dcc87a6d94650ae9e9cabc7104177216e0efa7e67bfb34978bae67dc4853884673ce288bb8087e95cb2993d519ab4f2f
diff --git a/x11-wm/wmfs/wmfs-201003.ebuild b/x11-wm/wmfs/wmfs-201003.ebuild
deleted file mode 100644
index 27bdfa3ef56..00000000000
--- a/x11-wm/wmfs/wmfs-201003.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-inherit cmake
-
-DESCRIPTION="Window Manager From Scratch, A tiling window manager highly configurable"
-HOMEPAGE="https://github.com/xorg62/wmfs"
-SRC_URI="https://github.com/xorg62/wmfs/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
- media-libs/freetype
- media-libs/imlib2[X]
- x11-libs/libX11
- x11-libs/libXft
- x11-libs/libXinerama
- x11-libs/libXrandr
-"
-DEPEND="
- ${RDEPEND}
- virtual/pkgconfig
- x11-base/xorg-proto
-"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-201003-desktop.patch
- "${FILESDIR}"/${PN}-201003-pthread.patch
-)
-
-src_prepare() {
- cmake_src_prepare
- sed -i \
- -e '/set(CFLAGS/d' \
- -e '/set(LDFLAGS/s#)# ${LDFLAGS}&#' \
- CMakeLists.txt || die
-}
-
-src_install() {
- cmake_src_install
- rm -r "${D}"/usr/share/${PN}
- find "${D}"/usr/share/man -name '*.gz' -exec gunzip {} \; || die
- dodoc README TODO rc/status.sh
-}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-wm/wmfs/
@ 2021-10-19 19:09 Jakov Smolić
0 siblings, 0 replies; 9+ messages in thread
From: Jakov Smolić @ 2021-10-19 19:09 UTC (permalink / raw
To: gentoo-commits
commit: 1d0a30da5540eadf3a699e3685e9a0d45aee6f0a
Author: Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 19 19:07:12 2021 +0000
Commit: Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Tue Oct 19 19:09:08 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d0a30da
x11-wm/wmfs: Update SRC_URI
jer@ is retired and I've archived the distfiles in my devspace
Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>
x11-wm/wmfs/wmfs-20180520.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/x11-wm/wmfs/wmfs-20180520.ebuild b/x11-wm/wmfs/wmfs-20180520.ebuild
index f01f6ce2129..b0225851e54 100644
--- a/x11-wm/wmfs/wmfs-20180520.ebuild
+++ b/x11-wm/wmfs/wmfs-20180520.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -6,7 +6,7 @@ inherit toolchain-funcs
DESCRIPTION="Window Manager From Scratch, A tiling window manager highly configurable"
HOMEPAGE="https://github.com/xorg62/wmfs"
-SRC_URI="https://dev.gentoo.org/~jer/${P}.tar.xz"
+SRC_URI="https://dev.gentoo.org/~jsmolic/distfiles/${P}.tar.xz"
LICENSE="BSD"
SLOT="0"
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-wm/wmfs/
@ 2022-02-20 1:35 Sam James
0 siblings, 0 replies; 9+ messages in thread
From: Sam James @ 2022-02-20 1:35 UTC (permalink / raw
To: gentoo-commits
commit: b9f6fce172a4b6f826eafd6c86d9c63c71f0c580
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 20 01:31:38 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Feb 20 01:31:38 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9f6fce1
x11-wm/wmfs: fix build on musl
Closes: https://bugs.gentoo.org/833323
Signed-off-by: Sam James <sam <AT> gentoo.org>
x11-wm/wmfs/wmfs-20180520.ebuild | 6 ++++--
x11-wm/wmfs/wmfs-99999999.ebuild | 6 ++++--
2 files changed, 8 insertions(+), 4 deletions(-)
diff --git a/x11-wm/wmfs/wmfs-20180520.ebuild b/x11-wm/wmfs/wmfs-20180520.ebuild
index b0225851e54d..a9f99e8c0db5 100644
--- a/x11-wm/wmfs/wmfs-20180520.ebuild
+++ b/x11-wm/wmfs/wmfs-20180520.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -23,9 +23,11 @@ RDEPEND="
"
DEPEND="
${RDEPEND}
- virtual/pkgconfig
x11-base/xorg-proto
+ elibc_musl? ( sys-libs/queue-standalone )
"
+BDEPEND="virtual/pkgconfig"
+
PATCHES=(
"${FILESDIR}"/${PN}-99999999-Debian.patch
"${FILESDIR}"/${PN}-99999999-desktop.patch
diff --git a/x11-wm/wmfs/wmfs-99999999.ebuild b/x11-wm/wmfs/wmfs-99999999.ebuild
index 286281b6f1f6..4d856eab612c 100644
--- a/x11-wm/wmfs/wmfs-99999999.ebuild
+++ b/x11-wm/wmfs/wmfs-99999999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -23,9 +23,11 @@ RDEPEND="
"
DEPEND="
${RDEPEND}
- virtual/pkgconfig
x11-base/xorg-proto
+ elibc_musl? ( sys-libs/queue-standalone )
"
+BDEPEND="virtual/pkgconfig"
+
PATCHES=(
"${FILESDIR}"/${PN}-99999999-Debian.patch
"${FILESDIR}"/${PN}-99999999-desktop.patch
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-wm/wmfs/
@ 2024-09-24 7:02 Joonas Niilola
0 siblings, 0 replies; 9+ messages in thread
From: Joonas Niilola @ 2024-09-24 7:02 UTC (permalink / raw
To: gentoo-commits
commit: d3a9d4ea0f13570d110b71a591b7418918cc24c6
Author: Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Wed Sep 4 18:05:45 2024 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Sep 24 07:01:15 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d3a9d4ea
x11-wm/wmfs: remove live ebuild
Remove live ebuild since upstream wasn't updated for a couple of years.
I think it makes no sense to keep these ebuilds, especially when the
non-live ebuild is already at HEAD.
Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://github.com/gentoo/gentoo/pull/38439
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
x11-wm/wmfs/wmfs-99999999.ebuild | 56 ----------------------------------------
1 file changed, 56 deletions(-)
diff --git a/x11-wm/wmfs/wmfs-99999999.ebuild b/x11-wm/wmfs/wmfs-99999999.ebuild
deleted file mode 100644
index 4d856eab612c..000000000000
--- a/x11-wm/wmfs/wmfs-99999999.ebuild
+++ /dev/null
@@ -1,56 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-inherit git-r3 toolchain-funcs
-
-DESCRIPTION="Window Manager From Scratch, A tiling window manager highly configurable"
-HOMEPAGE="https://github.com/xorg62/wmfs"
-EGIT_REPO_URI="https://github.com/xorg62/wmfs"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS=""
-IUSE="+imlib2 +xinerama"
-
-RDEPEND="
- media-libs/freetype
- media-libs/imlib2[X]
- x11-libs/libX11
- x11-libs/libXft
- x11-libs/libXinerama
- x11-libs/libXrandr
-"
-DEPEND="
- ${RDEPEND}
- x11-base/xorg-proto
- elibc_musl? ( sys-libs/queue-standalone )
-"
-BDEPEND="virtual/pkgconfig"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-99999999-Debian.patch
- "${FILESDIR}"/${PN}-99999999-desktop.patch
- "${FILESDIR}"/${PN}-99999999-fno-common.patch
- "${FILESDIR}"/${PN}-99999999-strncat.patch
-)
-DOCS=(
- README
- scripts/keybind_help.sh
- scripts/status.sh
-)
-
-src_configure() {
- tc-export CC
- # not autotools based
- local ECHO
- for ECHO in echo ''; do
- ${ECHO} sh configure \
- $(usex xinerama '' --without-xinerama) \
- $(usex imlib2 '' --without-imlib2) \
- --prefix /usr \
- --man-prefix /usr/share/man \
- --xdg-config-dir /etc/xdg \
- || die
- done
-}
^ permalink raw reply related [flat|nested] 9+ messages in thread
end of thread, other threads:[~2024-09-24 7:02 UTC | newest]
Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-01-03 1:09 [gentoo-commits] repo/gentoo:master commit in: x11-wm/wmfs/ Andreas K. Hüttel
-- strict thread matches above, loose matches on Subject: below --
2024-09-24 7:02 Joonas Niilola
2022-02-20 1:35 Sam James
2021-10-19 19:09 Jakov Smolić
2020-09-26 10:31 Jeroen Roovers
2020-09-26 10:31 Jeroen Roovers
2020-05-17 13:41 Jeroen Roovers
2020-01-13 10:07 David Seifert
2017-10-16 3:34 David Seifert
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox